## org.eclipse.wst.ws.service.policy
Class PolicyRelationshipImpl

    java.lang.Object
      org.eclipse.wst.ws.service.policy.PolicyRelationshipImpl

All Implemented Interfaces:
  IPolicyRelationship

    public class PolicyRelationshipImpl

extends java.lang.Object
implements IPolicyRelationship

This class provides a simple implementation of the IPolicyRelationship interface.

Constructor Summary
`PolicyRelationshipImpl(IPolicyEnumerationList policyEnumerationList, java.util.List<IPolicyEnumerationList> relatedPolicies)`

Method Summary
`IPolicyEnumerationList` `getPolicyEnumerationList()` Returns the policy enumeration list for this relationship.
`java.util.List<IPolicyEnumerationList>` `getRelatedPolicies()` Returns the related policies for this relationship.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyRelationshipImpl

    public PolicyRelationshipImpl(IPolicyEnumerationList policyEnumerationList,
                                  java.util.List<IPolicyEnumerationList> relatedPolicies)

Method Detail

### getPolicyEnumerationList

    public IPolicyEnumerationList getPolicyEnumerationList()

  Returns the policy enumeration list for this relationship.

  Specified by:
    `getPolicyEnumerationList` in interface `IPolicyRelationship`
  Returns:
    This method returns the source service policy along with a list of possible states that this source policy could be in.

### getRelatedPolicies

    public java.util.List<IPolicyEnumerationList> getRelatedPolicies()

  Returns the related policies for this relationship.

  Specified by:
    `getRelatedPolicies` in interface `IPolicyRelationship`
  Returns:
    returns a list of other target service policies and the states that these policies must be in to satisfy the relationship.